%define TYPE SECUP

Name: openssl
Summary: Secure Sockets and Transport Layer Security
Version: 0.9.6m
Release: 2.2
URL: http://www.openssl.org/
Group: Utilities/System
License: 1998-2002 The OpenSSL Project
Vendor: InterNetX GmbH
Packager: InterNetX Package Maintainer <packager@internetx.de>
BuildPreReq: gcc
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: openssl-0.9.6m.tar.gz

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography world-wide. The project
is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL toolkit and its
related documentation.
Derivation and License
OpenSSL is based on the excellent SSLeay library developed from Eric
A. Young and Tim J. Hudson. The OpenSSL toolkit is licensed under a
Apache-style licence which basically means that you are free to get
and use it for commercial and non-commercial purposes.

%package doc
Summary: documentation and examples for OpenSSL
Group: Utilities/System
%description doc
This package contains the documentation and examples for OpenSSL.

%package devel
Summary: The OpenSSL source tree
Group: Utilities/System
%description devel
This package containes the OpenSSL source tree, header files and
static libraries.

%prep
%setup

%build
./config \
--prefix=/usr \
--openssldir=/usr/ssl \
threads \
shared
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make MANDIR=/usr/share/man INSTALL_PREFIX=$RPM_BUILD_ROOT/ install
ln -s /usr/include/openssl $RPM_BUILD_ROOT/usr/include/ssl

%post
ldconfig

%files
%defattr(-,root,root)
%dir /usr/ssl/misc
%dir /usr/ssl/certs
%dir /usr/ssl/private
%dir /usr/ssl
%dir /usr/ssl/lib
%doc CHANGES CHANGES.SSLeay FAQ INSTALL INSTALL.MacOS INSTALL.VMS INSTALL.W32
%doc LICENSE NEWS PROBLEMS README openssl.doxy
# /usr/bin/c_rehash
# /usr/bin/openssl
/usr/bin/*
# /usr/lib/libssl.so.0.9.7
# /usr/lib/libssl.so.0
# /usr/lib/libcrypto.so.0.9.7
# /usr/lib/libcrypto.so.0
/usr/lib/lib*so*
# /usr/ssl/misc/CA.pl
# /usr/ssl/misc/CA.sh
# /usr/ssl/misc/c_issuer
# /usr/ssl/misc/c_hash
# /usr/ssl/misc/c_info
# /usr/ssl/misc/c_name
# /usr/ssl/misc/der_chop
# /usr/ssl/openssl.cnf
/usr/ssl/*/*
/usr/share/man/man1/openssl.1.gz

%files doc
%defattr(-,root,root)
#%doc README apps/*.pod crypto/*pod demos
# /usr/share/man/man5/config.5.gz
# /usr/share/man/man3/SSL_read.3.gz
# /usr/share/man/man3/des.3.gz
# /usr/share/man/man3/SSL_set_bio.3.gz
# /usr/share/man/man3/DSA_dup_DH.3.gz
# /usr/share/man/man3/SSL_get_default_timeout.3.gz
# /usr/share/man/man3/SSL_free.3.gz
# /usr/share/man/man3/SSL_CTX_sess_number.3.gz
# /usr/share/man/man3/SSL_CTX_set_mode.3.gz
# /usr/share/man/man3/RAND_add.3.gz
# /usr/share/man/man3/SSL_session_reused.3.gz
# /usr/share/man/man3/SSL_CTX_set_timeout.3.gz
# /usr/share/man/man3/BN_mod_mul_montgomery.3.gz
# /usr/share/man/man3/SSL_get_session.3.gz
# /usr/share/man/man3/ripemd.3.gz
# /usr/share/man/man3/BN_copy.3.gz
# /usr/share/man/man3/BIO_read.3.gz
# /usr/share/man/man3/BIO_new.3.gz
# /usr/share/man/man3/SSL_set_fd.3.gz
# /usr/share/man/man3/SSL_shutdown.3.gz
# /usr/share/man/man3/SSL_rstate_string.3.gz
# /usr/share/man/man3/RAND_set_rand_method.3.gz
# /usr/share/man/man3/lhash.3.gz
# /usr/share/man/man3/blowfish.3.gz
# /usr/share/man/man3/DH_new.3.gz
# /usr/share/man/man3/RAND_egd.3.gz
# /usr/share/man/man3/SSL_CTX_set_verify.3.gz
# /usr/share/man/man3/BN_add.3.gz
# /usr/share/man/man3/DH_generate_parameters.3.gz
# /usr/share/man/man3/BIO_f_cipher.3.gz
# /usr/share/man/man3/DSA_do_sign.3.gz
# /usr/share/man/man3/BN_cmp.3.gz
# /usr/share/man/man3/SSL_CTX_set_cert_verify_callback.3.gz
# /usr/share/man/man3/SSL_do_handshake.3.gz
# /usr/share/man/man3/BIO_push.3.gz
# /usr/share/man/man3/RAND_load_file.3.gz
# /usr/share/man/man3/BIO_ctrl.3.gz
# /usr/share/man/man3/ERR_GET_LIB.3.gz
# /usr/share/man/man3/evp.3.gz
# /usr/share/man/man3/bn_internal.3.gz
# /usr/share/man/man3/SSL_CTX_get_verify_mode.3.gz
# /usr/share/man/man3/SSL_CTX_use_certificate.3.gz
# /usr/share/man/man3/SSL_get_verify_result.3.gz
# /usr/share/man/man3/BIO_f_buffer.3.gz
# /usr/share/man/man3/SSL_CTX_add_extra_chain_cert.3.gz
# /usr/share/man/man3/BN_CTX_new.3.gz
# /usr/share/man/man3/SSL_alert_type_string.3.gz
# /usr/share/man/man3/DSA_new.3.gz
# /usr/share/man/man3/SSL_write.3.gz
# /usr/share/man/man3/BN_zero.3.gz
# /usr/share/man/man3/RSA_print.3.gz
# /usr/share/man/man3/BIO_new_bio_pair.3.gz
# /usr/share/man/man3/BIO_f_null.3.gz
# /usr/share/man/man3/SSL_connect.3.gz
# /usr/share/man/man3/EVP_DigestInit.3.gz
# /usr/share/man/man3/BIO_set_callback.3.gz
# /usr/share/man/man3/RSA_padding_add_PKCS1_type_1.3.gz
# /usr/share/man/man3/RSA_size.3.gz
# /usr/share/man/man3/SSL_CTX_set_tmp_dh_callback.3.gz
# /usr/share/man/man3/OPENSSL_VERSION_NUMBER.3.gz
# /usr/share/man/man3/BN_num_bytes.3.gz
# /usr/share/man/man3/DSA_get_ex_new_index.3.gz
# /usr/share/man/man3/RSA_private_encrypt.3.gz
# /usr/share/man/man3/threads.3.gz
# /usr/share/man/man3/SSL_CTX_set_tmp_rsa_callback.3.gz
# /usr/share/man/man3/OpenSSL_add_all_algorithms.3.gz
# /usr/share/man/man3/rc4.3.gz
# /usr/share/man/man3/DSA_sign.3.gz
# /usr/share/man/man3/BN_rand.3.gz
# /usr/share/man/man3/dsa.3.gz
# /usr/share/man/man3/BIO_f_base64.3.gz
# /usr/share/man/man3/DH_set_method.3.gz
# /usr/share/man/man3/BIO_should_retry.3.gz
# /usr/share/man/man3/BN_bn2bin.3.gz
# /usr/share/man/man3/lh_stats.3.gz
# /usr/share/man/man3/SSL_CTX_sess_set_get_cb.3.gz
# /usr/share/man/man3/SSL_CTX_add_session.3.gz
# /usr/share/man/man3/md5.3.gz
# /usr/share/man/man3/SSL_pending.3.gz
# /usr/share/man/man3/RSA_get_ex_new_index.3.gz
# /usr/share/man/man3/BIO_s_socket.3.gz
# /usr/share/man/man3/SSL_get_fd.3.gz
# /usr/share/man/man3/RAND_bytes.3.gz
# /usr/share/man/man3/EVP_OpenInit.3.gz
# /usr/share/man/man3/d2i_RSAPublicKey.3.gz
# /usr/share/man/man3/RSA_sign_ASN1_OCTET_STRING.3.gz
# /usr/share/man/man3/mdc2.3.gz
# /usr/share/man/man3/CRYPTO_set_ex_data.3.gz
# /usr/share/man/man3/SSL_set_connect_state.3.gz
# /usr/share/man/man3/DH_size.3.gz
# /usr/share/man/man3/BIO_s_mem.3.gz
# /usr/share/man/man3/SSL_get_peer_certificate.3.gz
# /usr/share/man/man3/ERR_get_error.3.gz
# /usr/share/man/man3/SSL_CTX_free.3.gz
# /usr/share/man/man3/rand.3.gz
# /usr/share/man/man3/RSA_generate_key.3.gz
# /usr/share/man/man3/DSA_generate_parameters.3.gz
# /usr/share/man/man3/RSA_check_key.3.gz
# /usr/share/man/man3/SSL_CTX_set_info_callback.3.gz
# /usr/share/man/man3/EVP_EncryptInit.3.gz
# /usr/share/man/man3/DSA_SIG_new.3.gz
# /usr/share/man/man3/err.3.gz
# /usr/share/man/man3/SSL_accept.3.gz
# /usr/share/man/man3/SSL_CIPHER_get_name.3.gz
# /usr/share/man/man3/ssl.3.gz
# /usr/share/man/man3/SSL_clear.3.gz
# /usr/share/man/man3/SSL_CTX_get_ex_new_index.3.gz
# /usr/share/man/man3/rsa.3.gz
# /usr/share/man/man3/BN_generate_prime.3.gz
# /usr/share/man/man3/BN_CTX_start.3.gz
# /usr/share/man/man3/SSL_CTX_set_session_cache_mode.3.gz
# /usr/share/man/man3/BIO_s_connect.3.gz
# /usr/share/man/man3/EVP_SealInit.3.gz
# /usr/share/man/man3/BIO_f_ssl.3.gz
# /usr/share/man/man3/BIO_find_type.3.gz
# /usr/share/man/man3/SSL_CTX_set_client_cert_cb.3.gz
# /usr/share/man/man3/BN_new.3.gz
# /usr/share/man/man3/SSL_CTX_ctrl.3.gz
# /usr/share/man/man3/DH_get_ex_new_index.3.gz
# /usr/share/man/man3/DH_generate_key.3.gz
# /usr/share/man/man3/DSA_generate_key.3.gz
# /usr/share/man/man3/SSL_new.3.gz
# /usr/share/man/man3/SSL_library_init.3.gz
# /usr/share/man/man3/SSL_get_ex_data_X509_STORE_CTX_idx.3.gz
# /usr/share/man/man3/SSL_set_session.3.gz
# /usr/share/man/man3/SSL_get_current_cipher.3.gz
# /usr/share/man/man3/SSL_SESSION_get_time.3.gz
# /usr/share/man/man3/SSL_CTX_set_quiet_shutdown.3.gz
# /usr/share/man/man3/SSL_CTX_set_ssl_version.3.gz
# /usr/share/man/man3/ERR_error_string.3.gz
# /usr/share/man/man3/SSL_set_verify_result.3.gz
# /usr/share/man/man3/SSL_get_error.3.gz
# /usr/share/man/man3/d2i_DHparams.3.gz
# /usr/share/man/man3/bn.3.gz
# /usr/share/man/man3/SSL_get_client_CA_list.3.gz
# /usr/share/man/man3/ERR_print_errors.3.gz
# /usr/share/man/man3/SSL_SESSION_free.3.gz
# /usr/share/man/man3/SSL_get_peer_cert_chain.3.gz
# /usr/share/man/man3/BN_set_bit.3.gz
# /usr/share/man/man3/BIO_s_bio.3.gz
# /usr/share/man/man3/SSL_load_client_CA_file.3.gz
# /usr/share/man/man3/BN_mod_mul_reciprocal.3.gz
# /usr/share/man/man3/SSL_CTX_set_session_id_context.3.gz
# /usr/share/man/man3/SSL_get_ex_new_index.3.gz
# /usr/share/man/man3/sha.3.gz
# /usr/share/man/man3/BIO_s_file.3.gz
# /usr/share/man/man3/SSL_CTX_set_cert_store.3.gz
# /usr/share/man/man3/SSL_CTX_set_default_passwd_cb.3.gz
# /usr/share/man/man3/SSL_CTX_flush_sessions.3.gz
# /usr/share/man/man3/ERR_load_strings.3.gz
# /usr/share/man/man3/SSL_CTX_sessions.3.gz
# /usr/share/man/man3/hmac.3.gz
# /usr/share/man/man3/ERR_clear_error.3.gz
# /usr/share/man/man3/RAND_cleanup.3.gz
# /usr/share/man/man3/bio.3.gz
# /usr/share/man/man3/RSA_public_encrypt.3.gz
# /usr/share/man/man3/ERR_put_error.3.gz
# /usr/share/man/man3/SSL_want.3.gz
# /usr/share/man/man3/SSL_set_shutdown.3.gz
# /usr/share/man/man3/SSL_get_rbio.3.gz
# /usr/share/man/man3/BIO_f_md.3.gz
# /usr/share/man/man3/dh.3.gz
# /usr/share/man/man3/SSL_CTX_load_verify_locations.3.gz
# /usr/share/man/man3/DSA_set_method.3.gz
# /usr/share/man/man3/BIO_s_fd.3.gz
# /usr/share/man/man3/crypto.3.gz
# /usr/share/man/man3/SSL_CTX_set_cipher_list.3.gz
# /usr/share/man/man3/RSA_sign.3.gz
# /usr/share/man/man3/SSL_COMP_add_compression_method.3.gz
# /usr/share/man/man3/ERR_load_crypto_strings.3.gz
# /usr/share/man/man3/EVP_SignInit.3.gz
# /usr/share/man/man3/ERR_remove_state.3.gz
# /usr/share/man/man3/SSL_state_string.3.gz
# /usr/share/man/man3/RSA_blinding_on.3.gz
# /usr/share/man/man3/SSL_get_ciphers.3.gz
# /usr/share/man/man3/SSL_CTX_new.3.gz
# /usr/share/man/man3/BIO_s_null.3.gz
# /usr/share/man/man3/SSL_SESSION_get_ex_new_index.3.gz
# /usr/share/man/man3/SSL_CTX_sess_set_cache_size.3.gz
# /usr/share/man/man3/RSA_new.3.gz
# /usr/share/man/man3/DSA_size.3.gz
# /usr/share/man/man3/BN_add_word.3.gz
# /usr/share/man/man3/BIO_s_accept.3.gz
# /usr/share/man/man3/RSA_set_method.3.gz
# /usr/share/man/man3/SSL_get_SSL_CTX.3.gz
# /usr/share/man/man3/buffer.3.gz
# /usr/share/man/man3/d2i_SSL_SESSION.3.gz
# /usr/share/man/man3/BN_mod_inverse.3.gz
# /usr/share/man/man3/SSL_get_version.3.gz
# /usr/share/man/man3/SSL_CTX_set_options.3.gz
# /usr/share/man/man3/SSL_CTX_set_client_CA_list.3.gz
# /usr/share/man/man3/EVP_VerifyInit.3.gz
# /usr/share/man/man1/speed.1.gz
# /usr/share/man/man1/asn1parse.1.gz
# /usr/share/man/man1/dgst.1.gz
# /usr/share/man/man1/genrsa.1.gz
# /usr/share/man/man1/gendsa.1.gz
# /usr/share/man/man1/rsa.1.gz
# /usr/share/man/man1/smime.1.gz
# /usr/share/man/man1/s_server.1.gz
# /usr/share/man/man1/passwd.1.gz
# /usr/share/man/man1/pkcs7.1.gz
# /usr/share/man/man1/ca.1.gz
# /usr/share/man/man1/version.1.gz
# /usr/share/man/man1/spkac.1.gz
# /usr/share/man/man1/sess_id.1.gz
# /usr/share/man/man1/x509.1.gz
# /usr/share/man/man1/pkcs12.1.gz
# /usr/share/man/man1/dsa.1.gz
# /usr/share/man/man1/crl2pkcs7.1.gz
# /usr/share/man/man1/CA.pl.1.gz
# /usr/share/man/man1/dsaparam.1.gz
# /usr/share/man/man1/ciphers.1.gz
# /usr/share/man/man1/openssl.1.gz
# /usr/share/man/man1/s_client.1.gz
# /usr/share/man/man1/rand.1.gz
# /usr/share/man/man1/crl.1.gz
# /usr/share/man/man1/rsautl.1.gz
# /usr/share/man/man1/enc.1.gz
# /usr/share/man/man1/pkcs8.1.gz
# /usr/share/man/man1/req.1.gz
# /usr/share/man/man1/verify.1.gz
# /usr/share/man/man1/dhparam.1.gz
# /usr/share/man/man1/nseq.1.gz
# /usr/share/man/man7/des_modes.7.gz
/usr/share/man/*/*

%files devel
%defattr(-,root,root)
# /usr/lib/libcrypto.a
# /usr/lib/libssl.a
# /usr/lib/libssl.so
# /usr/lib/libcrypto.so
/usr/lib/lib*.a
/usr/lib/lib*.so
%dir /usr/include/openssl
%dir /usr/include/ssl
# /usr/include/openssl/opensslv.h
# /usr/include/openssl/bn.h
# /usr/include/openssl/dh.h
# /usr/include/openssl/crypto.h
# /usr/include/openssl/txt_db.h
# /usr/include/openssl/e_os2.h
# /usr/include/openssl/bio.h
# /usr/include/openssl/des.h
# /usr/include/openssl/dsa.h
# /usr/include/openssl/dso.h
# /usr/include/openssl/err.h
# /usr/include/openssl/evp.h
# /usr/include/openssl/md2.h
# /usr/include/openssl/md4.h
# /usr/include/openssl/md5.h
# /usr/include/openssl/pem.h
# /usr/include/openssl/rc2.h
# /usr/include/openssl/rc4.h
# /usr/include/openssl/rc5.h
# /usr/include/openssl/sha.h
# /usr/include/openssl/rsa.h
# /usr/include/openssl/ssl.h
# /usr/include/openssl/lhash.h
# /usr/include/openssl/conf_api.h
# /usr/include/openssl/tmdiff.h
# /usr/include/openssl/safestack.h
# /usr/include/openssl/ssl23.h
# /usr/include/openssl/stack.h
# /usr/include/openssl/asn1.h
# /usr/include/openssl/cast.h
# /usr/include/openssl/asn1_mac.h
# /usr/include/openssl/comp.h
# /usr/include/openssl/conf.h
# /usr/include/openssl/x509_vfy.h
# /usr/include/openssl/blowfish.h
# /usr/include/openssl/hmac.h
# /usr/include/openssl/idea.h
# /usr/include/openssl/mdc2.h
# /usr/include/openssl/obj_mac.h
# /usr/include/openssl/pem2.h
# /usr/include/openssl/pkcs12.h
# /usr/include/openssl/ebcdic.h
# /usr/include/openssl/rand.h
# /usr/include/openssl/buffer.h
# /usr/include/openssl/x509.h
# /usr/include/openssl/ssl2.h
# /usr/include/openssl/ssl3.h
# /usr/include/openssl/objects.h
# /usr/include/openssl/tls1.h
# /usr/include/openssl/ripemd.h
# /usr/include/openssl/x509v3.h
# /usr/include/openssl/symhacks.h
# /usr/include/openssl/pkcs7.h
# /usr/include/openssl/opensslconf.h
/usr/include/openssl/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

